*{
  margin: 0;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.clearfix:before,
.clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}

.clearfix {
  *zoom: 1;
}

html{
  overflow-x: hidden;
}

a img{
  border: none;
}

html,
body {
  font-size: 62.5%;
  padding: 0;
  margin: 0;
  background-color: #181818; 
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smoothing: antialiased;

  /* -webkit-touch-callout: none; /* iOS Safari */
  /* -webkit-user-select: none; /* Safari */
  /* -khtml-user-select: none; /* Konqueror HTML */
  /* -moz-user-select: none; /* Old versions of Firefox */
  /* -ms-user-select: none; /* Internet Explorer/Edge */
  /* user-select: none; /* Non-prefixed version, currently
                                supported by Chrome, Edge, Opera and Firefox */
}

.grid {
  display: grid;
  width: 100%;
  -webkit-column-gap: 16px;
  -moz-column-gap: 16px;
  column-gap: 16px;
}

.col-2 {
  grid-template-columns: repeat(2, 6fr);
}

.col-4 {
  grid-template-columns: repeat(4, 3fr);
}

.change-language-on {

  #home_presentation_section {
    margin-top: 52px;
  }

  #cases,
  #about,
  #contact {
    padding-top: 76px;
  }

}

.change-language-banner {
  display: none;
  position: fixed;
  top: 0;
  width: 100%;
  padding: 16px;
  text-align: left;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.4em;
  color: #A8B9B4;
  background-color: #2a2a2a;
  z-index: 100;

  &.on {
    display: block;
  }

  .container {
    display: table;
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;

    p {
      display: table-cell;
      padding-right: 8px;
      vertical-align: middle;
    }

    .actions {
      display: table-cell;
      vertical-align: middle;
      text-align: right;

      a {
        padding: 8px;
        border-radius: 12px;
        border: solid 0.5px #a8b9b4;
        color: #a8b9b4;
        text-decoration: none;
        text-wrap: nowrap;
        transition: all 0.3s ease-in-out;

        &:hover {
          background-color: #424242;
        }

      }

      .close-change-language {
        margin-left: 1em;
        vertical-align: text-top;
        cursor: pointer;
      }

    }
  }
}

#main-menu {
  visibility: hidden;
  display: flex;
  position: fixed;
  bottom: 0;
  width: 100%;
  max-width: 1140px;
  padding: 16px 0;
  text-align: left;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.4em;
  z-index: 10;
  right: 0;
  left: 0;
  margin-right: auto;
  margin-left: auto;
  background-color: #181818;

  ul {
    display: inline-block;
    width: 100%;
    max-width: 1140px;
    padding: 0;
    list-style-type: none;

    a {
      color: #A8B9B4;
      position: relative;
      padding: 0;
      text-decoration: none;

      &:hover {
        color: #CADED8;
      }

    }

    li {
      display: inline-block;
      padding: 0 1em 0 0;
      text-decoration: underline;
      border-radius: 24px;
    }

  }

  ul#language-menu {
    text-align: right;

    li {
      padding: 0 0 0 1em;
    }

  }

}

main.grid {
  max-width: 1140px;
  margin: 0 auto;
  grid-template-columns: 296px auto;
  column-gap: 48px;
}

#home_presentation_section {
  width: 100%;
  height: auto;
  padding: 24px 0;
  overflow: visible;

  #photos_text_container {
    position: fixed;
    width: 100%;
    max-width: 296px;
    margin-left: auto;
    margin-right: auto;

    #photos_container {
      margin-top: 36px;
      text-align: left;

      img {
        display: inline-block;
        position: relative;
        width: 88px;
        margin: 0 8px 0 0;
        border-radius: 12px;
      }

    }

  }

}

#name_profession {
  margin-bottom: 36px;
  z-index: 2;
  color: #CADED8;

  a {
    color: inherit;
    text-decoration: none;
  }

  h1 {
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 7em;
    font-weight: 900;
    margin-top: -0.26em;
  }

  sub {
    margin: 1em 0;
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 4.0em;
    font-weight: 500;
  }

}

#introduction-text {
  max-width: 352px;
  margin-top: 36px;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.4em;
  line-height: 1.5;
  color: #A8B9B4;
}

#side-menu {
  margin-top: 36px;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.4em;

  ul {
    width: 100%;
    max-width: 1140px;
    padding: 0;
    list-style-type: none;

    li {
      position: relative;
      text-decoration: none;
      margin-bottom: 8px;
      background-color: #2A2A2A;
      border-radius: 12px;
      transition: all 0.3s ease-in-out;

      &:hover {
        background-color: #424242;
      }

      a {
        display: inline-block;
        width: 100%;
        padding: 8px 16px;
        color: #A8B9B4;
        position: relative;
        text-decoration: none;

        img {
          position: absolute;
          right: 16px;
        }

      }

    }

  }

  ul#language-menu {
    display: inline;
    position: fixed;
    bottom: 0;
    column-gap: 8px;
    padding: 24px 0;

    li {
      flex-basis: 50%;
      display: inline-block;
      margin-right: 8px;

      a {
        padding: 8px 16px;
      }

    }

  }

}

@keyframes scroll-down_bounce {
  0% {transform: translateY(0);}
  50% {transform: translateY(8px);}
  100% {transform: translateY(0);}
}

#scrolldown-icon {
  display: block;
  position: absolute;
  width: 100vw;
  bottom: 24px;
  text-align: center;
}

#cases {
  position: relative;
  width: 100%;
  padding-top: 24px;
  color: #fff;
  z-index: 2;

  #section_title {
    width: auto;
    margin: 2em 0 2.75em 0;
    font-family: "Hanken Grotesk";
    font-weight: normal;
    font-size: 3em;
    line-height: 1.6;
  }

}

#projects_line {
  position: absolute;
  width: 5px;
  height: 100%;
  left: calc(50vw - 2.5px);
  background-color: #fff;
}

#home_projects_list {
  position: relative;
  width: 100%;
  max-width: 1140px;
  z-index: 3;

  a {
    color: inherit;
    text-decoration: none;
  }

}

.home_projects {
  width: 100%;
  min-height: 527px;
  margin: 0 0 16px 0;
  z-index: 3;
  transition: all 0.3s ease-in-out;
  background-color: #2A2A2A;
  border-radius: 12px;
  overflow: hidden;

  &:hover {
    transform: scale(1.02);
  }

  &.light .project_info {

    h2 {
      color: #424242;
    }

    .project-description {
      color: #424242;
    }

    .projects_tags_container .projects_tags li {
      color: #424242;
      border-color: #424242;
    }

  }

  .home_projects_cover {
    display: block;
    width: 100%;
    height: 320px;
    background-size: cover;
    background-position: center;
  }

  .project_info {
    padding: 16px;

    h2 {
      width: 100%;
      margin-top: 0;
      font-family: "Bricolage Grotesque", sans-serif;
      font-weight: 600;
      font-size: 5em;
      color: #CADED8;
    }

    .project-description {
      margin-top: 1em;
      font-family: "Hanken Grotesk", sans-serif;
      font-size: 2.4em;
      color: #A8B9B4;
    }

    .projects_tags_container {
      overflow: hidden;

      .projects_tags {
        z-index: 5;
        font-family: "Hanken Grotesk", sans-serif;
        font-size: 2.2em;
        list-style-type: none;
        text-align: left;
        margin-top: 1em;
        line-height: 2;
        padding: 0;
        width: 100%;
        margin-left: 0;

        li {
          display: inline;
          margin: 0 4px 0 0;
          padding: 2px 8px;
          white-space: nowrap;
          color: #A8B9B4;
          border: solid 0.5px #A8B9B4;
          border-radius: 2em;
        }

      }

    }

  }

}

.separator {
  border: 0 none;

  &:after {
    content: "***";
    display: block;
    width: 100%;
    margin: 64px 0 0 -12px;
    text-align: center;
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 5em;
    font-weight: 200;
    color: #A8B9B4;
    letter-spacing: 0.25em;
  }

}

#about {
  padding-top: 24px;

  h2 {
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 5em;
    font-weight: 700;
    color: #CADED8;
  }

  h3 {
    margin: 1em 0;
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 4em;
    font-weight: 500;
    color: #A8B9B4;
  }

  .experience-items {
    padding-left: 4em;

    h4 {
      margin-bottom: 0.5em;
      font-family: "Bricolage Grotesque", sans-serif;
      font-size: 2.6em;
      font-weight: 700;
      color: #A8B9B4;
    }

    time {
      font-weight: 400 !important;
      margin-right: 1em;
    }

    span.company {
      font-weight: 400;
    }

    p {
      margin-bottom: 4em;
      font-family: "Hanken Grotesk", sans-serif;
      font-size: 2.4em;
      color: #A8B9B4;

    }

  }

}

#contact {
  padding-top: 24px;
  min-height: 100vh;

  h2 {
    font-family: "Bricolage Grotesque", sans-serif;
    font-size: 5em;
    font-weight: 700;
    color: #CADED8;
  }

  h3 {
    width: 100%;
    margin-top: 3em;
    margin-bottom: 2em;
    font-family: "Hanken Grotesk", sans-serif;
    font-weight: 100;
    font-size: 2.5em;
    line-height: 1.6em;
  }

  p {
    margin: 1.5em 0;
    font-family: "Hanken Grotesk", sans-serif;
    font-size: 2.4em;
    color: #A8B9B4;
  }

  #contact_info {
    padding: 0;
    list-style-type: none;

    a {
      text-decoration: none;
      display: inline-block;
      width: 100%;
      padding: 16px;
      color: inherit;

      strong {
        display: block;
        margin-bottom: 8px;
        font-family: "Bricolage Grotesque", sans-serif;
      }

      img {
        position: absolute;
        top: 30px;
        right: 16px;
      }

    }

    li {
      position: relative;
      display: inline-block;
      width: 100%;
      max-width: 360px;
      margin: 0 16px 16px 0;
      font-family: "Hanken Grotesk", sans-serif;
      font-size: 2.4em;
      color: #A8B9B4;
      background-color: #2A2A2A;
      border-radius: 12px;
      transition: all 0.3s ease-in-out;

      &:hover {
        background-color: #424242;
      }
      
    }

  }

}

#social-media-icons {
  list-style-type: none;
  padding-left: 0;

  li {
    display: inline-block;
    list-style-type: none;
    margin-right: 2em;

    img {
      width: 3em;
    }

  }

}

#contact form {
  max-width: 600px;
  margin-top: 6em;

  .short-text-input-container,
  .long-text-input-container {
    width: 100%;
  }

  .long-text-input-container textarea {
    height: 8em;
  }

}

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="password"],
input[type="number"],
textarea {
  background: none;
  border: 0 none;
}

.short-text-input-container {
  display: table;
  margin: 1em 0;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.2em;
  background-color: #f0f0f0;
  min-width: 240px;

  label {
    display: table-cell;
    padding: 11px 5px 11px 11px;
    color: #797979;
    width: 60px;
  }

  input {
    display: table-cell;
    width: 100%;
    padding: 12px 6px 12px 12px;
    font-family: "Hanken Grotesk", sans-serif;
    font-size: 1.1em;
    line-height: 1.5em;
    background-color: #f0f0f0;
    outline: none;
  }

}


.long-text-input-container {
  margin: 1em 0;
  font-family: "Hanken Grotesk", sans-serif;
  font-size: 2.2em;
  background-color: #f0f0f0;
  min-width: 240px;

  label {
    display: block;
    padding: 11px 5px 11px 11px;
    color: #797979;
    width: 60px;
  }

  textarea {
    display: block;
    padding: 0 6px 12px 12px;
    font-family: "Hanken Grotesk", sans-serif;
    font-size: 1.1em;
    line-height: 1.5em;
    background-color: #f0f0f0;
    outline: none;
    width: 100%;
    max-width: 100%;
  }

}

#contact form button {
  margin-top: 0.5em;
  border: 0 none;
  background: none;
  font-family: "Hanken Grotesk", sans-serif;
  font-weight: 500;
  font-size: 3em;
  cursor: pointer;
}

@media (max-width: 1280px) {

  #introduction-text {
    right: 6vw;
  }

  #home_projects_list a {
    text-decoration: none;
  }

  .home_projects {
    margin-top: 200px auto;
  }

  .home_projects:first-child {
    margin-top: 0;
  }

  .projects_tags {
    visibility: visible;
    position: relative;
    left: 0;
    background-color: transparent;
    opacity: 1;
    transform: translateX(0);

    a {
      text-decoration: none;
    }

  }

}

@media (max-width: 1140px) {

  #main-menu {
    width: calc(100vw - 48px);
  }

  #home_presentation_section {
    padding-left: 24px;
  }

  #home_projects_list {
    max-width: calc(100% - 24px);
  }

  .home_projects {
    min-height: 565px;
  }

}

@media (max-width: 920px) {

  .grid {
    display: block;
  }

  .change-language-banner {
    .container {
      display: block;

      .actions {
        position: absolute;
        top: 16px;
        right: 16px;
      }
    }
  }

  #side-menu ul#language-menu {
    display: inline-block;
    position: relative;
    margin-top: 1em;
  }

  #home_presentation_section {
    padding-left: 0;

    #photos_text_container {
      position: relative;
      display: block;
      max-width: calc(100% - 48px);
    }

  }

  #introduction-text {
    max-width: 100%;
  }

  #home_presentation_section #photos_text_container #photos_container img {
    display: inline;
  }

  #home_presentation_section #photos_text_container #photos_container img:nth-child(1),
  #home_presentation_section #photos_text_container #photos_container img:nth-child(2),
  #home_presentation_section #photos_text_container #photos_container img:nth-child(3) {
    margin: 0 12px;
    animation: none;
    left: auto;
    right: auto;
  }


  #home_projects_list {
    margin: 0 auto;
  }

  .home_projects_cover {
    height: 300px;
  }

  .home_projects {
    height: auto;
    min-height: 527px;
    margin-left: auto !important;
    margin-right: auto !important;
  }

  .home_projects:hover {
    transform: none;
  }

  .home_projects_cover {
    background-size: cover;
    background-position: center;
    filter: none;
  }

  .project_info {
    padding: 16px;
  }

  .project_info .projects_tags {
    margin-left: 0;
    text-align: left;

    li:last-of-type:after {
      content: "";
    }

  }

  #about {
    padding: 24px;
  }

  #contact {
    display: block;
    padding: 24px;
  }

}

@media (max-width: 640px) {

  .change-language-banner {
    position: relative;

    .container {
      display: block;
      width: calc(100% - 18px - 16px);
      margin: 0;

      p {
        width: calc(100% - 24px);
      }

      .actions {
        position: unset;
        margin-top: 1em;
        text-align: left;

        .close-change-language {
          position: absolute;
          top: calc(50% - 9px);
          right: 16px;
        }
      }
    }
  }

  #main-menu ul {
    text-align: center;

    li {
      margin: 0 1.6em;
    }

  }

  /*#home_presentation_section {
    padding: 96px 0 50px 0;
  }*/

  #name_profession {
    top: 200px;
    animation: none;
  }

  #circles_1 {
    display: none;
  }

  #cases {
    padding-top: 10px;
  }

  #cases #section_title {
    position: relative;
  }

  #home_projects_list {
    width: 100%;
    padding: 0;
  }

  .home_projects {
    width: 100%;
  }

  .home_projects:hover {
    transform: none;

    h2 {
      transform: none;
    }
  }

  .home_projects_cover {
    background-size: cover;
    background-position: center;
    filter: none;
  }

}

@media (max-width: 480px) {


  #main-menu {
    position: absolute;

    ul {
      text-align: left;
      padding: 0;

      li {
        display: block;
        margin: 0;
      }

    }

  }


  #home_presentation_section #photos_text_container #photos_container img {
    width: 72px;
    margin: 0 4px;
  }

  .home_projects h2 {
    font-size: 4em;
  }

}
